from restapi import settings
from restapi.middleware import debug
from restapi.urls import setup_routes
from restapi.utils.logs import get_logger
import falcon

_LOG = get_logger()

middleware = [debug.LogRequestResponse()] if settings.DEBUG else []

# Create the API instance, referenced internally as api and externally
# as wsgi_app.
api = falcon.API(
    media_type='application/json',
    middleware=middleware
)

setup_routes(api)
_LOG.info('API service started')

